Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884146 - Deprecate and remove ovirt-engine-api-explorer
Summary: Deprecate and remove ovirt-engine-api-explorer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-api-explorer
Version: 4.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.3
: ---
Assignee: Ori Liel
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks: 1857593
TreeView+ depends on / blocked
 
Reported: 2020-10-01 07:52 UTC by Martin Perina
Modified: 2021-01-11 15:31 UTC (History)
3 users (show)

Fixed In Version: ovirt-engine-4.4.3.8
Doc Type: Removed functionality
Doc Text:
The ovirt-engine-api-explorer package has been deprecated and removed in Red Hat Virtualization Manager 4.4.3. Customers should use the official REST API Guide instead, which provides the same information as ovirt-engine-api-explorer. See https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.4/html/rest_api_guide/indexcom/documentation/en-us/red_hat_virtualization/4.4/html/rest_api_guide/index
Clone Of:
Environment:
Last Closed: 2020-11-24 13:10:07 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:5179 0 None None None 2020-11-24 13:10:28 UTC
oVirt gerrit 111778 0 None MERGED Remove Dependency on Api-Explorer 2021-01-12 19:25:10 UTC

Description Martin Perina 2020-10-01 07:52:50 UTC
ovirt-engine-api-explorer is a simple application running on RHV Manager machine, which provides RESTAPI documentation. Unfortunately this application is written in JavaScript, which is very hard to keep updated and safe. Also ovirt-engine-api-explorer doesn't provide much bigger comfort than viewing RESTAPI documentation directly [1], so we have decide to remove ovirt-engine-api-explorer in RHV 4.4.3.
Here are details:

1. Link on Welcome page will point to the official RESTAPI doc [1] instead of ovirt-engine-api-explorer

2. ovirt-engine package will obsolete ovirt-engine-api-explorer package, so it won't be installed anymore

[1] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.4/html/rest_api_guide/index

Comment 2 Pavol Brilla 2020-10-30 11:07:46 UTC
# yum list ovirt-engine ovirt-engine-api-explorer
Updating Subscription Management repositories.
Last metadata expiration check: 0:37:49 ago on Fri 30 Oct 2020 11:22:05 AM CET.
Installed Packages
ovirt-engine.noarch                                                                                      4.4.3.8-0.1.el8ev                                                                         @rhv-4.4.3                   
Available Packages
ovirt-engine-api-explorer.noarch                                                                         0.0.6-1.el8ev                                                                             rhel-7-server-rhv-manager-4.4


# yum install ovirt-engine-api-explorer
Updating Subscription Management repositories.
Last metadata expiration check: 0:44:20 ago on Fri 30 Oct 2020 11:22:05 AM CET.
Package ovirt-engine-4.4.3.8-0.1.el8ev.noarch is already installed.

Comment 6 errata-xmlrpc 2020-11-24 13:10:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Low: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5179


Note You need to log in before you can comment on or make changes to this bug.